Browse files

update readme to include proper changelog

  • Loading branch information...
1 parent fb56734 commit 2b3d1209fc1c53c1eef845f911dd85f7a158b148 @willnorris willnorris committed Jul 20, 2009
Showing with 30 additions and 28 deletions.
  1. +30 −28 readme.txt
View
58 readme.txt
@@ -82,11 +82,13 @@ necessary.
First, be aware that this only works in WordPress 2.6 and up. Make sure you've
turned on SSL in WordPress by [defining either of the following][wp-ssl]
globals as "true" in your `wp-config.php` file:
- - FORCE_SSL_LOGIN
- - FORCE_SSL_ADMIN
+
+ - FORCE\_SSL\_LOGIN
+ - FORCE\_SSL\_ADMIN
Then, also define the following global as "true" in your `wp-config.php` file:
- - OPENID_SSL
+
+ - OPENID\_SSL
Be aware that you will almost certainly have trouble with this if you are not
using a certificate purchased from a well-known certificate authority.
@@ -116,79 +118,79 @@ report at <http://code.google.com/p/diso/issues/list>.
== Changelog ==
-= version 3.2.2 =
+= version 3.2.2 (Mar 19, 2009) =
- fix problems when using non-index.php permalinks with non-apache web servers
- - ensure that show_on_front option is not empty
+ - ensure that show\_on\_front option is not empty
- function name typo (props: gunemalli)
- fix deprecated pass-by-reference call in php-openid library (props: jschuur)
- fix UI bug on registration form with IE browsers (props: oledole)
- UI tweaks to better match WP 2.7
- update a few strings for localization and POT file
-= version 3.2.1 =
+= version 3.2.1 (Feb 13, 2009) =
- patch php-openid library to fix XRDS handling (thanks Mike Jones for helping find this)
- add default values for some openid vars -- necessary for OP-initiated login
- fix bug with OpenID server where OpenID request was sometimes lost
- - add filter for openid_trust_root
+ - add filter for openid\_trust\_root
-= version 3.2 =
+= version 3.2 (Jan 20, 2009) =
- add uninstall hook for WordPress 2.7 -- this will remove all traces of the plugin from the database
- UI fixes for WordPress 2.7
- add settings link to plugins page
- silence XML parsing errors with PHP4
- - ensure wp_scripts is set
+ - ensure wp\_scripts is set
- ensure openid comment processing occurs after akismet
- add ellipses to truncated OpenIDs (fixes #94)
- fix bug where Yahoo! OpenIDs weren't matching profile URL (fixes #98)
- don't return empty SREG values
- Add support for consuming Attribute Exchange
- - use a single return_to URL for all OpenID actions
+ - use a single return\_to URL for all OpenID actions
- cleaner OpenID service URLs when permalinks configured to do so (all path, no query string)
- fixed issue where OpenID Server would sometimes break depending on a users permalink structure (fixed #101)
- - fixed issue where OpenID consumer would sometimes break if mod_encoding was enabled in Apache (used for WebDAV) (fixed #96)
+ - fixed issue where OpenID consumer would sometimes break if mod\_encoding was enabled in Apache (used for WebDAV) (fixed #96)
- don't redirect when performing discovery on OpenID trust root
-= version 3.1.4 =
+= version 3.1.4 (Nov 04, 2008) =
- allow OP extensions to include XRDS Types in login service
- run OpenID comment processor after Akismet, and skip if Akismet marks comment as spam
-= version 3.1.3 =
+= version 3.1.3 (Oct 27, 2008) =
- fix error message if /dev/urandom is not readable
-= version 3.1.2 =
+= version 3.1.2 (Oct 26, 2008) =
- ensure source of randomness is set properly
- - prevent duplicate cleanup_openid cron jobs
+ - prevent duplicate cleanup\_openid cron jobs
- prevent SQL errors on activation
- suppress verbose error logging with XML parsing
-= version 3.1.1 =
+= version 3.1.1 (Oct 20, 2008) =
- fix bug with OpenID Provider XRDS code that prevents ability to login to some sites (like plaxo.com)
-= version 3.1 =
+= version 3.1 (Oct 19, 2008) =
- added hidden constant to set custom comments post page (OPENID\_COMMENTS\_POST\_PAGE)
- additional option to skip name and email check for OpenID comments
- use preferred username (from SREG) if possible when creating new account
- truncate long URLs when used as display\_name for comments
- numerous bug fixes, including bug with registration form
-= version 3.0 =
+= version 3.0 (Oct 02, 2008) =
- includes OpenID Provider
- supports OpenID delegation
- add experimental support for Email Address to URL Transformation
- many new hooks for extension and integration
- major code refactoring
-= version 2.2.2 =
+= version 2.2.2 (Aug 06, 2008) =
- fix bug with "unauthorized return\_to URL" (only known problem with [openid.pl][])
- fix bug with comments containing non-latin characters
- respect CUSTOM\_USER\_META\_TABLE constant if present (also added CUSTOM\_OPENID\_IDENTITY\_TABLE constant)
- add experimental support for Identity in the Browser
-= version 2.2.1 =
+= version 2.2.1 (Jul 25, 2008) =
- fixed EAUT handling code
- fixed bug that broke comments containing double quotes (")
-= version 2.2.0 =
+= version 2.2.0 (Jul 23, 2008) =
- use POST replay for comments (fixes compatibility with other comment plugins)
- only build openid object when needed (much better memory usage)
- support for Email Address to URL Transformation (see eaut.org)
@@ -197,32 +199,32 @@ report at <http://code.google.com/p/diso/issues/list>.
- fixed openid spoofing vulnerability (http://plugins.trac.wordpress.org/ticket/702)
- lots code refactoring and UI cleanup
-= version 2.1.9 =
+= version 2.1.9 (May 20, 2008) =
- fix javascript loading issues
- fix various bugs when creating new account with OpenID
- fix error message, and add new warning prompt when removing last OpenID for account
-= version 2.1.8 =
+= version 2.1.8 (Apr 02, 2008) =
- fix UI issue with wp-login.php page in WP2.5
- fix bug printing supported curl protocols (http://wordpress.org/support/topic/159062)
- fix jquery bug while adding category in WP2.5 (http://wordpress.org/support/topic/164305)
-= version 2.1.7 =
+= version 2.1.7 (Mar 21, 2008) =
- remove php5 dependency bug... AGAIN!
- also remove some other custom changes to php-openid I forgot were in there. This may actually re-introduce some edge-case
bugs, but I'd rather expose them so that we can get the appropriate patches pushed upstream if they really are necessary.
-= version 2.1.6 =
+= version 2.1.6 (Mar 20, 2008) =
- update php-openid library to latest. Now properly supports Yahoo's OpenID provider.
-= version 2.1.5 =
+= version 2.1.5 (Mar 20, 2008) =
- add support for wordpress v2.5
-= version 2.1.4 =
+= version 2.1.4 (Feb 13, 2008) =
- fix php5 dependency bug
- improve jQuery code to reduce problems with other js libraries
-= version 2.1.3 =
+= version 2.1.3 (Feb 06, 2008) =
- address security bug mentioned [here](http://www.gnucitizen.org/blog/hijacking-openid-enabled-accounts). Props: Sam Alexander
= version 2.1.2 =

0 comments on commit 2b3d120

Please sign in to comment.